Subject: Re: [PATCH 2/6]: powerpc/cell spidernet low watermark patch.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 20 Aug 2006 16:31:49 +1000

> card->low_watermark->next->dmac_cmd_status |= SPIDER_NET_DESCR_TXDESFLG;
> mb();
> card->low_watermark->dmac_cmd_status &= ~SPIDER_NET_DESCR_TXDESFLG;
> card->low_watermark = card->low_watermark->next;
> 
> when we queue another frame for TX.

I would have expected those to be racy vs. the hardware... what if the
hardware is updating dmac_cmd_status just as your are trying to and the
bit out of it ?

Ben